<?php

namespace ShineSoftware\Constriv\Controller\Hosted;

use Magento\Framework\App\Action\Context;
use Magento\Framework\View\LayoutFactory;
use Magento\Sales\Model\OrderFactory;
use Magento\Quote\Model\QuoteFactory;
use ShineSoftware\Constriv\Model\Logger\Shinelogger;

class Redirect extends AbstractHosted {

    /**
     * @var OrderFactory
     */
    protected $_modelOrderFactory;

    /**
     * @var LayoutFactory
     */
    protected $_viewLayoutFactory;
    
    protected $_pageFactory;

    public function __construct(Context $context, OrderFactory $modelOrderFactory, QuoteFactory $modelQuoteFactory, Shinelogger $logger, LayoutFactory $viewLayoutFactory, \Magento\Framework\View\Result\PageFactory $resultPageFactory) {
        $this->_modelOrderFactory = $modelOrderFactory;
        $this->_viewLayoutFactory = $viewLayoutFactory;
        $this->_pageFactory = $resultPageFactory;
        
        parent::__construct($context, $modelQuoteFactory, $logger);
    }

    public function execute() {
        $this->_logger->debug(__METHOD__ . " - User has been redirected to the secure bank website!");
        return $this->_pageFactory->create();
    }

}
