<?php

namespace ShineSoftware\Constriv\Gateway\Http\Converter;

use Magento\Payment\Gateway\Http\ConverterException;

class Converter implements \Magento\Payment\Gateway\Http\ConverterInterface {

    public function convert($source) {
        //throw new \Exception($source);
        if (substr($source, 0, 7) == '!ERROR!') {
            return [
                'error' => TRUE,
                'errorMessage' => $source,
                'paymentid' => NULL,
                'hostedpageurl' => NULL,
                'raw' => $source,
            ];
        } elseif (is_numeric(substr($source, 0, 7))) {
            list($paymentId, $paymentUrl) = explode(":", $source, 2);
            return [
                'error' => FALSE,
                'errorMessage' => NULL,
                'paymentid' => $paymentId,
                'hostedpageurl' => $paymentUrl . "?paymentid=" . $paymentId,
                'raw' => $source,
            ];
        } else {
            list($exitStatus, $macheneso, $macheneso2, $macheneso3, $captureDate, $paymentId, $orderId) = explode(":", $source, 7);
            return [
                'error' => NULL,
                'errorMessage' => NULL,
                'paymentid' => $paymentId,
                'hostedpageurl' => NULL,
                'raw' => $source,
                'exitstatus' => $exitStatus,
            ];
        }
    }

}

;
