<?php


namespace ShineSoftware\Constriv\Model;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\Config\DataInterface;
use Magento\Framework\Locale\ResolverInterface;
use Magento\Framework\Model\Locale;
use Magento\Framework\Stdlib\DateTime\DateTime;
use Magento\Framework\UrlInterface;
use Magento\Payment\Model\Config as ModelConfig;
use Magento\Payment\Model\Method\AbstractMethod;
use Magento\Payment\Model\Method\Factory;
use Magento\Store\Model\ScopeInterface;

class Config extends ModelConfig
{
    /**
     * @var UrlInterface
     */
    protected $_frameworkUrlInterface;

    public function __construct(ScopeConfigInterface $scopeConfig, 
        Factory $paymentMethodFactory, 
        ResolverInterface $localeResolver, 
        DataInterface $dataStorage, 
        DateTime $date, 
        UrlInterface $frameworkUrlInterface)
    {
        $this->_frameworkUrlInterface = $frameworkUrlInterface;

        parent::__construct($scopeConfig, $paymentMethodFactory, $localeResolver, $dataStorage, $date);
    }

public function setMethod($method)
{
if ($method instanceof AbstractMethod) {
$this->_methodCode = $method->getCode();
}elseif (is_string($method)) {
$this->_methodCode = $method;
}
return $this;
}
public function getEndpoints() {
$endpoints = [];
foreach ( Mage::getConfig ()->getNode ( 'default/payment/constriv_hosted/uri')->asArray () as $key =>$endpoint ) {
$endpoints [$key] = $endpoint ['@']['title'];
}
return $endpoints;
}
public function getPaymentLogoUrl($module="hosted",$locale)
{
$logo = $this->_configScopeConfigInterface->getValue("payment/constriv_$module/mark_logo", ScopeInterface::SCOPE_STORE);
if($logo){
return $this->_frameworkUrlInterface->getBaseUrl('skin') .'/frontend/base/default/images/constriv/'.$logo;
}else{
return $this->_frameworkUrlInterface->getBaseUrl('skin') .'/frontend/base/default/images/constriv/logo.png';
}
}
public function getPaymentHelpUrl(Locale $locale = null)
{
$countryCode = 'US';
if (null !== $locale) {
$countryCode = $locale->getLocale()->getRegion();
}
return sprintf('http://www.constriv.it/e-commerce.html?ref=shinesoftware',
strtolower($countryCode)
);
}
}
;